Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SceneObjectList Class Reference

`#include <SceneObjectList.h>`

Inheritance diagram for SceneObjectList:

## Public Member Functions
void | pushBack (SceneObject *)
| < Add the SceneObject* to the end of the list, unless it's already in the list. More...
void | pushBackForce (SceneObject *)
| Add the SceneObject* to the start of the list. More...
void | pushFront (SceneObject *)
| Remove the SceneObject* from the list; may disrupt order of the list. More...
void | remove (SceneObject *)
void | removeStable (SceneObject *pObject)
| Remove the SimObject* from the list; guaranteed to preserve list order. More...
SceneObject * | at (S32 index) const
| Sort the list by object ID. More...
void | sortId ()
Public Member Functions inherited from VectorPtr< SceneObject * >
| VectorPtr ()
| VectorPtr (const char *fileName, const U32 lineNum)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
void | insert (iterator, const SceneObject * &)
void | insert (int idx)
void | erase (iterator)
SceneObject * & | front ()
const SceneObject * & | front () const
SceneObject * & | back ()
const SceneObject * & | back () const
void | push_front (const SceneObject * &)
void | push_back (const SceneObject * &)
SceneObject * & | operator[] (U32)
const SceneObject * & | operator[] (U32) const
SceneObject * & | first ()
const SceneObject * & | first () const
SceneObject * & | last ()
const SceneObject * & | last () const
void | erase_fast (U32)
void | erase_fast (iterator)
Public Member Functions inherited from Vector< void * >
| Vector (const U32 initialSize=0)
| Vector (const U32 initialSize, const char *fileName, const U32 lineNum)
| Vector (const char *fileName, const U32 lineNum)
| Vector (const Vector &)
| ~Vector ()
void | setFileAssociation (const char *file, const U32 line)
void | insert (U32)
void | erase (U32)
U32 | memSize () const
void * * | address () const
U32 | setSize (U32)
void | increment (U32=1)
void | increment (const void * *array, U32=1)
void | decrement (U32=1)
void | erase_fast (U32)
void | erase_fast (iterator)
void | clear ()
void | compact ()
void | sort (compare_func f)
void * & | first ()
const void * & | first () const
void * & | last ()
const void * & | last () const
void | set (void *addr, U32 sz)
void | merge (const Vector &p)
Vector< void * > & | operator= (const Vector< void * > &p)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
S32 | size () const
bool | empty () const
bool | contains (const void * &) const
void | insert (iterator, const void * &)
void | erase (iterator)
void * & | front ()
const void * & | front () const
void * & | back ()
const void * & | back () const
void | push_front (const void * &)
void | push_back (const void * &)
U32 | push_front_unique (const void * &)
U32 | push_back_unique (const void * &)
S32 | find_next (const void * &, U32 start=0) const
void | pop_front ()
void | pop_back ()
void * & | operator[] (U32)
const void * & | operator[] (U32) const
void * & | operator[] (S32 i)
const void * & | operator[] (S32 i) const
void * & | at (U32)
const void * & | at (U32) const
void | reserve (U32)
U32 | capacity () const

## Additional Inherited Members
Public Types inherited from VectorPtr< SceneObject * >
typedef SceneObject * | value_type
typedef SceneObject * & | reference
typedef const SceneObject * & | const_reference
typedef SceneObject * * | iterator
typedef const SceneObject * * | const_iterator
typedef U32 | difference_type
typedef U32 | size_type
typedef Vector< void * > | Parent
Public Types inherited from Vector< void * >
typedef void * | value_type
typedef void * & | reference
typedef const void * & | const_reference
typedef void * * | iterator
typedef const void * * | const_iterator
typedef S32 | difference_type
typedef U32 | size_type
typedef difference_type(QSORT_CALLBACK * | compare_func) (const void * *a, const void * *b)
Protected Member Functions inherited from Vector< void * >
bool | resize (U32)
void | destroy (U32 start, U32 end)
| Destructs elements from start to end-1 More...
void | construct (U32 start, U32 end)
| Constructs elements from start to end-1 More...
void | construct (U32 start, U32 end, const void * *array)
Protected Attributes inherited from Vector< void * >
U32 | mElementCount
U32 | mArraySize
void * * | mArray
const char * | mFileAssociation
U32 | mLineAssociation

## Member Function Documentation

SceneObject* at | ( | S32 | index | ) | const
| inline

Sort the list by object ID.

void pushBack | ( | SceneObject * | obj | ) |

< Add the SceneObject* to the end of the list, unless it's already in the list.

Add the SceneObject* to the end of the list, moving it there if it's already present in the list.

void pushBackForce | ( | SceneObject * | obj | ) |

Add the SceneObject* to the start of the list.

void pushFront | ( | SceneObject * | obj | ) |

Remove the SceneObject* from the list; may disrupt order of the list.

void remove | ( | SceneObject * | obj | ) |

void removeStable | ( | SceneObject * | pObject | ) |

Remove the SimObject* from the list; guaranteed to preserve list order.

void sortId | ( |  | ) |

The documentation for this class was generated from the following files:

- 2d/sceneobject/SceneObjectList.h
- 2d/sceneobject/SceneObjectList.cc